// 设置env配置文件
import envConfig from '@/env/config.js'
// 全局配置项
import appConfig from '@/config/appConfig.js'
import storageManage from '@/commons/utils/storageManage.js'
import dict from '@/commons/utils/dict.js'
import {utils} from '@/commons/utils/index.js'
import uviewPlus from 'uview-plus'
import * as Pinia from 'pinia';
import {
	createUnistorage
} from "pinia-plugin-unistorage";
// 设置node环境
envConfig.changeEnv(storageManage.env())

// #ifndef VUE3

import App from './App'

import Vue from 'vue'
Vue.config.productionTip = false

App.mpType = 'app'

const app = new Vue({
    ...App
})

app.$mount()





// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
import App from './App.vue'

export function createApp() {
	const app = createSSRApp(App)
 
	app.use(uviewPlus)
	const store = Pinia.createPinia();
	store.use(createUnistorage());
	app.use(store)
	app.config.globalProperties.$appName = appConfig.appName
	uni.$appName = appConfig.appName
	app.config.globalProperties.$utils = utils
	uni.$utils = utils
	app.config.globalProperties.$dict = dict
	uni.$dict = dict
	
	return {
		app,Pinia
	}
}
// #endif